<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Ip6::FragmentHeader Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../dc/d15/classThread_1_1Ip6_1_1FragmentHeader-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Ip6::FragmentHeader Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d2/df2/group__core-ipv6.html">IPv6</a> &raquo; <a class="el" href="../../d9/dcf/group__core-ip6-ip6.html">IPv6</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements IPv6 Fragment <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> generation and parsing.  
 <a href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../db/d51/ip6__headers_8hpp_source.html">src/core/net/ip6_headers.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af2ae939c09f518a3893bd5eb7106ee2d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af2ae939c09f518a3893bd5eb7106ee2d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html#af2ae939c09f518a3893bd5eb7106ee2d">Init</a> ()</td></tr>
<tr class="memdesc:af2ae939c09f518a3893bd5eb7106ee2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes the IPv6 Fragment header. <br /></td></tr>
<tr class="separator:af2ae939c09f518a3893bd5eb7106ee2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ee37d050d0fd3ed60141b5389878d54"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">IpProto</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html#a3ee37d050d0fd3ed60141b5389878d54">GetNextHeader</a> () const </td></tr>
<tr class="memdesc:a3ee37d050d0fd3ed60141b5389878d54"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value.  <a href="#a3ee37d050d0fd3ed60141b5389878d54">More...</a><br /></td></tr>
<tr class="separator:a3ee37d050d0fd3ed60141b5389878d54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34f01290280c85bfe6195d602a0f0f59"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html#a34f01290280c85bfe6195d602a0f0f59">SetNextHeader</a> (<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">IpProto</a> aNextHeader)</td></tr>
<tr class="memdesc:a34f01290280c85bfe6195d602a0f0f59"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value.  <a href="#a34f01290280c85bfe6195d602a0f0f59">More...</a><br /></td></tr>
<tr class="separator:a34f01290280c85bfe6195d602a0f0f59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d9809c6894727de7750600ecaa7fbca"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html#a6d9809c6894727de7750600ecaa7fbca">GetOffset</a> ()</td></tr>
<tr class="memdesc:a6d9809c6894727de7750600ecaa7fbca"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Fragment Offset value.  <a href="#a6d9809c6894727de7750600ecaa7fbca">More...</a><br /></td></tr>
<tr class="separator:a6d9809c6894727de7750600ecaa7fbca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07820b9d9adf51cdd50fa8edb8b32f9e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html#a07820b9d9adf51cdd50fa8edb8b32f9e">SetOffset</a> (uint16_t aOffset)</td></tr>
<tr class="memdesc:a07820b9d9adf51cdd50fa8edb8b32f9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Fragment Offset value.  <a href="#a07820b9d9adf51cdd50fa8edb8b32f9e">More...</a><br /></td></tr>
<tr class="separator:a07820b9d9adf51cdd50fa8edb8b32f9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1116d92ecdb212ff53468c483f9d7688"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html#a1116d92ecdb212ff53468c483f9d7688">IsMoreFlagSet</a> ()</td></tr>
<tr class="memdesc:a1116d92ecdb212ff53468c483f9d7688"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the M flag value.  <a href="#a1116d92ecdb212ff53468c483f9d7688">More...</a><br /></td></tr>
<tr class="separator:a1116d92ecdb212ff53468c483f9d7688"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6863c6e0264d3ea5792cd6644bdc664"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af6863c6e0264d3ea5792cd6644bdc664"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html#af6863c6e0264d3ea5792cd6644bdc664">ClearMoreFlag</a> ()</td></tr>
<tr class="memdesc:af6863c6e0264d3ea5792cd6644bdc664"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method clears the M flag value. <br /></td></tr>
<tr class="separator:af6863c6e0264d3ea5792cd6644bdc664"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a014835885fdae1be49f6e999680e85ae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a014835885fdae1be49f6e999680e85ae"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html#a014835885fdae1be49f6e999680e85ae">SetMoreFlag</a> ()</td></tr>
<tr class="memdesc:a014835885fdae1be49f6e999680e85ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the M flag value. <br /></td></tr>
<tr class="separator:a014835885fdae1be49f6e999680e85ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements IPv6 Fragment <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> generation and parsing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a3ee37d050d0fd3ed60141b5389878d54"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">IpProto</a> Thread::Ip6::FragmentHeader::GetNextHeader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value. </p>
<dl class="section return"><dt>Returns</dt><dd>The IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value. </dd></dl>

</div>
</div>
<a class="anchor" id="a6d9809c6894727de7750600ecaa7fbca"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Ip6::FragmentHeader::GetOffset </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Fragment Offset value. </p>
<dl class="section return"><dt>Returns</dt><dd>The Fragment Offset value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader_a6d9809c6894727de7750600ecaa7fbca_icgraph.png" border="0" usemap="#d6/d56/classThread_1_1Ip6_1_1FragmentHeader_a6d9809c6894727de7750600ecaa7fbca_icgraph" alt=""/></div>
<map name="d6/d56/classThread_1_1Ip6_1_1FragmentHeader_a6d9809c6894727de7750600ecaa7fbca_icgraph" id="d6/d56/classThread_1_1Ip6_1_1FragmentHeader_a6d9809c6894727de7750600ecaa7fbca_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="251,140,464,165"/>
<area shape="rect" id="node3" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="831,5,964,44"/>
<area shape="rect" id="node5" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="554,71,687,109"/>
<area shape="rect" id="node15" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="554,133,687,172"/>
<area shape="rect" id="node16" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="512,196,730,221"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2154,76,2310,115"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="778,77,1017,103"/>
<area shape="rect" id="node7" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1065,121,1227,160"/>
<area shape="rect" id="node8" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1275,121,1439,160"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1487,184,1657,223"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1490,59,1654,97"/>
<area shape="rect" id="node14" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1501,121,1642,160"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1705,156,1885,181"/>
<area shape="rect" id="node12" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1933,93,2106,132"/>
<area shape="rect" id="node13" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1978,156,2062,181"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a1116d92ecdb212ff53468c483f9d7688"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::Ip6::FragmentHeader::IsMoreFlagSet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the M flag value. </p>
<dl class="section return"><dt>Returns</dt><dd>The M flag value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader_a1116d92ecdb212ff53468c483f9d7688_icgraph.png" border="0" usemap="#d6/d56/classThread_1_1Ip6_1_1FragmentHeader_a1116d92ecdb212ff53468c483f9d7688_icgraph" alt=""/></div>
<map name="d6/d56/classThread_1_1Ip6_1_1FragmentHeader_a1116d92ecdb212ff53468c483f9d7688_icgraph" id="d6/d56/classThread_1_1Ip6_1_1FragmentHeader_a1116d92ecdb212ff53468c483f9d7688_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="251,140,464,165"/>
<area shape="rect" id="node3" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="831,5,964,44"/>
<area shape="rect" id="node5" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="554,71,687,109"/>
<area shape="rect" id="node15" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="554,133,687,172"/>
<area shape="rect" id="node16" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="512,196,730,221"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2154,76,2310,115"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="778,77,1017,103"/>
<area shape="rect" id="node7" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1065,121,1227,160"/>
<area shape="rect" id="node8" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1275,121,1439,160"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1487,184,1657,223"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1490,59,1654,97"/>
<area shape="rect" id="node14" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1501,121,1642,160"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1705,156,1885,181"/>
<area shape="rect" id="node12" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1933,93,2106,132"/>
<area shape="rect" id="node13" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1978,156,2062,181"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a34f01290280c85bfe6195d602a0f0f59"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::FragmentHeader::SetNextHeader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">IpProto</a>&#160;</td>
          <td class="paramname"><em>aNextHeader</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aNextHeader</td><td>The IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a07820b9d9adf51cdd50fa8edb8b32f9e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::FragmentHeader::SetOffset </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aOffset</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Fragment Offset value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aOffset</td><td>The Fragment Offset value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/net/<a class="el" href="../../db/d51/ip6__headers_8hpp_source.html">ip6_headers.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/de1/namespaceThread_1_1Ip6.html">Ip6</a></li><li class="navelem"><a class="el" href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html">FragmentHeader</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
